rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
rpmmi-py.c File Reference
PYTHON-C Language Bindings.
`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmcb.h>`
`#include <rpmtypes.h>`
`#include <rpmtag.h>`
`#include <rpmdb.h>`
`#include "rpmmi-py.h"`
`#include "header-py.h"`
`#include "debug.h"`
Include dependency graph for rpmmi-py.c:

Go to the source code of this file.

## Functions
static PyObject * | rpmmi_iter (rpmmiObject *s)
static PyObject * | rpmmi_iternext (rpmmiObject *s)
static PyObject * | rpmmi_Next (rpmmiObject *s)
static void | rpmmi_dealloc (rpmmiObject *s)
static PyObject * | rpmmi_getattro (PyObject *o, PyObject *n)
static int | rpmmi_setattro (PyObject *o, PyObject *n, PyObject *v)
rpmmiObject * | rpmmi_Wrap (rpmmi mi)
Class: Rpmmi
static PyObject * | rpmmi_Instance (rpmmiObject *s)
static PyObject * | rpmmi_Count (rpmmiObject *s)
static PyObject * | rpmmi_Pattern (rpmmiObject *s, PyObject *args, PyObject *kwds)

## Variables
static struct PyMethodDef | rpmmi_methods []
static char | rpmmi_doc []
PyTypeObject | rpmmi_Type

## Function Documentation

static PyObject* rpmmi_Count | ( | rpmmiObject * | s | ) |
| static

Definition at line 137 of file rpmmi-py.c.

References rpmmiObject_s::mi, and rpmmiCount().

static PyObject* rpmmi_getattro | ( | PyObject * | o,
|  | PyObject * | n
| ) |  |
| static

Definition at line 211 of file rpmmi-py.c.

static PyObject* rpmmi_Instance | ( | rpmmiObject * | s | ) |
| static

Definition at line 122 of file rpmmi-py.c.

References rpmmiObject_s::mi, and rpmmiInstance().

static PyObject* rpmmi_iter | ( | rpmmiObject * | s | ) |
| static

Definition at line 70 of file rpmmi-py.c.

static PyObject* rpmmi_iternext | ( | rpmmiObject * | s | ) |
| static

Definition at line 81 of file rpmmi-py.c.

References hdr_Wrap(), rpmmiObject_s::mi, rpmmiFree(), and rpmmiNext().

Referenced by rpmmi_Next().

static PyObject* rpmmi_Next | ( | rpmmiObject * | s | ) |
| static

Definition at line 98 of file rpmmi-py.c.

References rpmmi_iternext().

static PyObject* rpmmi_Pattern | ( | rpmmiObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds
| ) |  |
| static

Definition at line 152 of file rpmmi-py.c.

References rpmmiObject_s::mi, rpmmiAddPattern(), and tagNumFromPyObject().

static int rpmmi_setattro | ( | PyObject * | o,
|  | PyObject * | n,
|  | PyObject * | v
| ) |  |
| static

Definition at line 217 of file rpmmi-py.c.

## Variable Documentation

char rpmmi_doc[]
| static

Initial value:
=
""

Definition at line 226 of file rpmmi-py.c.